%define srcname FormEncode
%define module  formencode
%define rel     2

Name:           python-%{module}
Version:        2.1.0
Release:        %mkrel %{rel}
Summary:        HTML form validation, generation, and conversion package
Group:          Development/Python
License:        Python
URL:            https://formencode.org/
Source0:        https://files.pythonhosted.org/packages/source/F/%{srcname}/%{srcname}-%{version}.tar.gz
Patch1:         FormEncode-python-3.10.patch
BuildArch:      noarch

%description
FormEncode validates and converts nested structures. It allows for a
declarative form of defining the validation, and decoupled processes
for filling and generating forms.

%package -n python3-%{module}
Summary:        HTML form validation, generation, and conversion package
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
FormEncode validates and converts nested structures. It allows for a
declarative form of defining the validation, and decoupled processes
for filling and generating forms.

%files -n python3-%{module} -f %{pyproject_files}
%doc PKG-INFO docs
%license LICENSE.txt

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files formencode


%changelog
* Sat Mar 01 2025 wally <wally> 2.1.0-2.mga10
+ Revision: 2154857
- rebuild for python3.13

* Tue Feb 20 2024 papoteur <papoteur> 2.1.0-1.mga10
+ Revision: 2042644
- new version 2.1.0

* Tue Mar 29 2022 umeabot <umeabot> 2.0.1-3.mga9
+ Revision: 1831966
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 2.0.1-2.mga9
+ Revision: 1782339
- rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 2.0.1-1.mga9
+ Revision: 1771196
- version 2.0.1

* Sun Jul 25 2021 joequant <joequant> 2.0.0-1.mga9
+ Revision: 1737703
- update deps
- update deps
- update deps
- update deps
- update to 2.0.0

* Fri Apr 23 2021 daviddavid <daviddavid> 1.3.1-6.mga9
+ Revision: 1718009
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3.1-5.mga8
+ Revision: 1535585
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.3.1-4.mga8
+ Revision: 1452454
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 1.3.1-3.mga7
+ Revision: 1352864
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3.1-2.mga7
+ Revision: 1288912
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 kekepower <kekepower> 1.3.1-1.mga7
+ Revision: 1210806
- Update to version 1.3.1
- Renamed python-formencode to python2-formencode
- Added python3-formencode

* Thu Dec 17 2015 daviddavid <daviddavid> 1.3.0-1.mga6
+ Revision: 911250
- new version: 1.3.0
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.2.6-7.mga5
+ Revision: 746023
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.6-6.mga5
+ Revision: 728530
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.6-5.mga5
+ Revision: 688037
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.6-3.mga4
+ Revision: 543547
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.6-2.mga4
+ Revision: 498632
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Feb 09 2013 mikala <mikala> 1.2.6-1.mga3
+ Revision: 397652
- imported package python-formencode

